Page MenuHomePhabricator

Add 'loading' indicator to AstroPay form
Closed, ResolvedPublic1 Story Points

Description

When a donor submits the AstroPay form, we have to make an API call before redirecting them. This can take 7 seconds or more, so we should show something to donors to let them know their click registered and that they shouldn't submit again.

Disable button once clicked, too.

Event Timeline

Ejegg created this task.Jul 29 2015, 5:26 PM
Ejegg raised the priority of this task from to Needs Triage.
Ejegg updated the task description. (Show Details)
Ejegg added a subscriber: Ejegg.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 29 2015, 5:26 PM

Can we also disable the button once clicked?

DStrine set Security to None.Jul 29 2015, 10:32 PM
DStrine edited a custom field.
atgo updated the task description. (Show Details)Jul 29 2015, 10:32 PM

Change 228352 had a related patch set uploaded (by Ejegg):
Add mustache loading overlay, show on form submit

https://gerrit.wikimedia.org/r/228352

Ejegg claimed this task.Jul 31 2015, 7:44 PM
Ejegg moved this task from Backlog to Review on the Fundraising Sprint The Pogues board.

Change 228352 merged by jenkins-bot:
Add mustache loading overlay, show on form submit

https://gerrit.wikimedia.org/r/228352

Ejegg closed this task as Resolved.Aug 3 2015, 10:41 PM
DStrine edited a custom field.Aug 18 2015, 3:37 PM
DStrine edited a custom field.Aug 18 2015, 5:26 PM